import template from './sw-cms-el-bc-brand-slider.html.twig';
import './sw-cms-el-bc-brand-slider.scss';

Shopware.Component.register('sw-cms-el-bc-brand-slider', {
    template,

    mixins: [
        Shopware.Mixin.getByName('cms-element'),
        Shopware.Mixin.getByName('placeholder')
    ],
    data(){
        return {
            maxGridCount : 12
        }
    },
    created() {
        this.createdComponent();
    },

    methods: {
        createdComponent() {
            this.initElementConfig('bc-brand-slider');
        }

    },
    computed: {
        assetFilter() {
            return Shopware.Filter.getByName('asset');
        },
    }
});
